/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
option java_multiple_files = true;

package android.app;

import "frameworks/base/core/proto/android/privacy.proto";

/**
 * An android.app.Notification object.
 * Deprecated fields are not included in the proto.
 */
message NotificationProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    optional string channel_id = 1 [ (.android.privacy).dest = DEST_EXPLICIT ];
    optional bool has_ticker_text = 2;
    optional int32 flags = 3;
    optional int32 color = 4;
    optional string category = 5 [ (.android.privacy).dest = DEST_EXPLICIT ];
    optional string group_key = 6 [ (.android.privacy).dest = DEST_EXPLICIT ];
    optional string sort_key = 7 [ (.android.privacy).dest = DEST_EXPLICIT ];
    optional int32 action_length = 8;

    // If this field is not set, then the value is unknown.
    enum Visibility {
        VISIBILITY_SECRET = -1;
        VISIBILITY_PRIVATE = 0;
        VISIBILITY_PUBLIC = 1;
    }
    optional Visibility visibility = 9;
    optional NotificationProto public_version = 10;
}
